> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize an OAuth app

> Developer API operation for GET /dev/v1/oauth/authorize.



## OpenAPI

````yaml /openapi.json get /dev/v1/oauth/authorize
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/oauth/authorize:
    get:
      tags:
        - OAuth2
      summary: Authorize an OAuth app
      description: Developer API operation for GET /dev/v1/oauth/authorize.
      operationId: getDevV1OauthAuthorize
      parameters:
        - name: response_type
          in: query
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          required: true
          schema:
            type: string
        - name: redirect_uri
          in: query
          required: true
          schema:
            type: string
        - name: scope
          in: query
          required: false
          schema:
            type: string
        - name: state
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            text/html:
              schema:
                type: string
                example: >-
                  <!doctype html><html><body><h1>Approve OAuth app</h1><p>ERP
                  Connector</p><p>orders.read</p></body></html>
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````